import 'package:flutter/material.dart';
import 'package:info_tren/components/select_train_suggestions/select_train_suggestions.dart';
import 'package:info_tren/models.dart';

class SelectTrainSuggestionsMaterial extends SelectTrainSuggestionsShared {
  const SelectTrainSuggestionsMaterial({
    super.key, 
    required super.choices, 
    required super.onTrainSelected, 
    super.currentInput,
  });

  @override
  Widget getUseCurrentInputWidget(String currentInput, void Function(String) onTrainSelected) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        ListTile(
          title: Text(getUseCurrentInputWidgetText(currentInput)),
          onTap: () {
            onTrainSelected(currentInput);
          },
        ),
        const Divider(),
      ],
    );
  }
}

class OperatorAutocompleteTileMaterial extends OperatorAutocompleteTile {
  const OperatorAutocompleteTileMaterial({
    Key? key, 
    required String operatorName, 
    required void Function(String) onTrainSelected, 
    required TrainsResult train
  }): super(
    onTrainSelected: onTrainSelected,
    operatorName: operatorName,
    train: train,
    key: key,
  );

  @override
  Widget build(BuildContext context) {
    return ListTile(
      dense: true,
      title: Text("${train.rank} ${train.number}"),
      subtitle: Text(operatorName),
      onTap: () {
        onTrainSelected(train.number);
      },
    );
  }
}
