import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:info_tren/models.dart';

part 'station_data.g.dart';
part 'station_data.freezed.dart';

@freezed
class StationData with _$StationData {
  const factory StationData({
    required String date, 
    required String stationName, 
    required List<StationArrDep>? arrivals, 
    required List<StationArrDep>? departures,
  }) = _StationData;

  factory StationData.fromJson(Map<String, dynamic> json) => _$StationDataFromJson(json);
}
