import 'package:flutter/material.dart';
import 'package:info_tren/pages/station_arrdep_page/select_station/select_station.dart';

class SelectStationPageMaterial extends SelectStationPageShared {
  const SelectStationPageMaterial({super.key});

  @override
  State<StatefulWidget> createState() => SelectStationPageStateMaterial();
}

class SelectStationPageStateMaterial extends SelectStationPageState {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text(SelectStationPageState.pageTitle),
        centerTitle: true,
      ),
      body: SafeArea(
        bottom: false,
        child: Column(
          mainAxisSize: MainAxisSize.max,
          children: [
            Padding(
              padding: const EdgeInsets.all(4),
              child: TextField(
                controller: textEditingController,
                autofocus: true,
                decoration: const InputDecoration(
                  border: OutlineInputBorder(),
                  labelText: SelectStationPageState.textFieldLabel,
                ),
                textInputAction: TextInputAction.search,
                onChanged: onTextChanged,
              ),
            ),
            Expanded(
              child: ListView.builder(
                itemBuilder: (context, index) {
                  return Column(
                    mainAxisSize: MainAxisSize.min,
                    children: [
                      ListTile(
                        dense: true,
                        title: Text(filteredStations[index]),
                        onTap: () => onSuggestionSelected(filteredStations[index]),
                      ),
                      const Divider(
                        height: 1,
                      ),
                    ],
                  );
                },
                itemCount: filteredStations.length,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
